Bug 216126 - global symbol collisions in libecal
global symbol collisions in libecal
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-17 07:53 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-24 15:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 433053 None None None Never

  None (edit)
Description Joe Orton 2006-11-17 07:53:07 EST
Description of problem:
jorton@jolt:~$ rpm -qf /usr/lib/libecal-1.2.so.7.0.0
evolution-data-server-1.8.1-1.fc6.i386

Clashes for /usr/lib/libecal-1.2.so.7.0.0:
  with /usr/lib/libapol.so.2.4 => yytext_ptr
  with /usr/lib/libkcal.so.2.0.0 => icalmemory_strdup
icalproperty_new_recurrenceid (...1141 symbols omitted...) icalproperty_vanew_
defaultlocale
  with /usr/lib/libedata-cal-1.2.so.6.0.0 =>
TC_GNOME_Evolution_Calendar_StringSeq_struct
POA_GNOME_Evolution_Calendar_CalFactory__i
nit (...119 symbols omitted...)
GNOME_Evolution_Calendar_CalListener_notifyDefaultObjectRequested
Comment 1 Matthias Clasen 2007-01-25 20:42:40 EST
Matt, we should probably just move this upstream ?
Comment 2 Matthew Barnes 2007-04-24 15:07:37 EDT
Moving upstream.  For further updates please see:
http://bugzilla.gnome.org/show_bug.cgi?id=433053

Note You need to log in before you can comment on or make changes to this bug.